from Globals import package_home
#from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
from Products.CMFCore import utils, DirectoryView
from Products.CMFCore.DirectoryView import registerDirectory
#from Products.CMFPlone.PloneUtilities import ToolInit
from Products.Archetypes.public import *
from Products.Archetypes import listTypes
from Products.Archetypes.utils import capitalize

import os, os.path, sys
from HTMLDocument import HTMLDocument

from config import *

skin_globals = globals()
registerDirectory(SKINS_DIR, skin_globals)

def initialize(context):

    # initialize the content, including types and add permissions
    content_types, constructors, ftis = process_types(
                    listTypes(PROJECTNAME),
                    PROJECTNAME)

    utils.ContentInit(
                    PROJECTNAME + ' Content',
                    content_types      = content_types,
#                    permission         = ADD_CONTENT_PERMISSION,
                    extra_constructors = constructors,
                    fti                = ftis,
                    ).initialize(context)

    from HTMLProxyTool import HTMLProxyTool
    tools = (HTMLProxyTool, )

    utils.ToolInit(
        'HTMLProxy tool',
        tools=tools,
        product_name='HTMLProxy',
        icon='tool.gif', ).initialize(context)
